be.fgov.ehealth.etee.crypto.status

## Enum CMSErrorType

- java.lang.Object
- - java.lang.Enum<CMSErrorType>
  - - be.fgov.ehealth.etee.crypto.status.CMSErrorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CMSErrorType>

      public enum CMSErrorType
      extends java.lang.Enum<CMSErrorType>

  CMSExceptions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTENT_MISSING`
    `DATA_CONTENT_STRUCTURE_INVALID`
    `DATA_STRUCTURE_INCORRECT`
    `INCORRECTLY_ENCODED_CERTIFICATES`
    `MORE_THAN_1_SIGNER_INFO`
    `NO_SIGNER_INFOS`
    `PARSE_ERROR`
    `SIGNED_DATA_CONTENT_MISSING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMsg()`
    `static CMSErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CMSErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_SIGNER_INFOS

          public static final CMSErrorType NO_SIGNER_INFOS

    - #### MORE_THAN_1_SIGNER_INFO

          public static final CMSErrorType MORE_THAN_1_SIGNER_INFO

    - #### PARSE_ERROR

          public static final CMSErrorType PARSE_ERROR

    - #### CONTENT_MISSING

          public static final CMSErrorType CONTENT_MISSING

    - #### DATA_STRUCTURE_INCORRECT

          public static final CMSErrorType DATA_STRUCTURE_INCORRECT

    - #### DATA_CONTENT_STRUCTURE_INVALID

          public static final CMSErrorType DATA_CONTENT_STRUCTURE_INVALID

    - #### INCORRECTLY_ENCODED_CERTIFICATES

          public static final CMSErrorType INCORRECTLY_ENCODED_CERTIFICATES

    - #### SIGNED_DATA_CONTENT_MISSING

          public static final CMSErrorType SIGNED_DATA_CONTENT_MISSING

  - ### Method Detail

    - #### values

          public static CMSErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CMSErrorType c : CMSErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CMSErrorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMsg

          public java.lang.String getMsg()

Copyright © 2025 eHealth. All rights reserved.